Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Class SystemFrames

    java.lang.Object
      edu.stanford.smi.protege.model.SystemFrames

    public class SystemFrames

extends Object

Constructor Summary
`SystemFrames(KnowledgeBase kb)`

Method Summary
`protected void` | `addFrame(FrameID id, Frame frame)`
`void` | `addSystemFrames(FrameStore fs)`
`void` | `assertTypeAndName(FrameStore fs, Frame frame, Collection<Cls> types)`
`Slot` | `getAnnotatedInstanceSlot()`
`Cls` | `getAnnotationCls()`
`Slot` | `getAnnotationTextSlot()`
`Slot` | `getAssociatedFacetSlot()`
`Slot` | `getAssociatedSlotSlot()`
`Cls` | `getConstraintCls()`
`Facet` | `getConstraintsFacet()`
`Slot` | `getConstraintsSlot()`
`Slot` | `getCreationTimestampSlot()`
`Slot` | `getCreatorSlot()`
`Facet` | `getDefaultValuesFacet()`
`Slot` | `getDefaultValuesSlot()`
`Slot` | `getDirectDomainSlot()`
`Cls` | `getDirectedBinaryRelationCls()`
`Slot` | `getDirectInstancesSlot()`
`Slot` | `getDirectSubclassesSlot()`
`Slot` | `getDirectSubslotsSlot()`
`Slot` | `getDirectSuperclassesSlot()`
`Slot` | `getDirectSuperslotsSlot()`
`Slot` | `getDirectTemplateSlotsSlot()`
`Slot` | `getDirectTypesSlot()`
`Facet` | `getDocumentationFacet()`
`Slot` | `getDocumentationSlot()`
`Frame` | `getFrame(FrameID id)`
`Collection<FrameID>` | `getFrameIDs()`
`Collection<String>` | `getFrameNames()`
`Collection<Frame>` | `getFrames()`
`Slot` | `getFromSlot()`
`Cls` | `getInstanceAnnotationCls()`
`Facet` | `getInverseFacet()`
`Slot` | `getInverseSlotSlot()`
`Facet` | `getMaximumCardinalityFacet()`
`Slot` | `getMaximumCardinalitySlot()`
`Facet` | `getMaximumValueFacet()`
`Slot` | `getMaximumValueSlot()`
`Facet` | `getMinimumCardinalityFacet()`
`Slot` | `getMinimumCardinalitySlot()`
`Facet` | `getMinimumValueFacet()`
`Slot` | `getMinimumValueSlot()`
`Slot` | `getModificationTimestampSlot()`
`Slot` | `getModifierSlot()`
`Slot` | `getNameSlot()`
`Cls` | `getPalConstraintCls()`
`Slot` | `getPalDescriptionSlot()`
`Slot` | `getPalNameSlot()`
`Slot` | `getPalRangeSlot()`
`Slot` | `getPalStatementSlot()`
`Cls` | `getRelationCls()`
`Slot` | `getRoleSlot()`
`Cls` | `getRootCls()`
`Cls` | `getRootClsMetaCls()`
`Cls` | `getRootFacetMetaCls()`
`Cls` | `getRootMetaCls()`
`Cls` | `getRootSlotMetaCls()`
`Slot` | `getSlotConstraintsSlot()`
`Cls` | `getStandardClsMetaCls()`
`Cls` | `getStandardFacetMetaCls()`
`Cls` | `getStandardSlotMetaCls()`
`Cls` | `getSystemCls()`
`Slot` | `getToSlot()`
`Facet` | `getValuesFacet()`
`Slot` | `getValuesSlot()`
`Facet` | `getValueTypeFacet()`
`Slot` | `getValueTypeSlot()`
`boolean` | `isSystem(Frame frame)`
`protected void` | `removeFrame(FrameID id)`
`protected void` | `replaceFrame(FrameID id, Frame frame)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemFrames

    public SystemFrames(KnowledgeBase kb)

Method Detail

### getFrames

    public Collection<Frame> getFrames()

### getFrameIDs

    public Collection<FrameID> getFrameIDs()

### getFrameNames

    public Collection<String> getFrameNames()

### getFrame

    public Frame getFrame(FrameID id)

### addFrame

    protected void addFrame(FrameID id,
                            Frame frame)

### replaceFrame

    protected void replaceFrame(FrameID id,
                                Frame frame)

### removeFrame

    protected void removeFrame(FrameID id)

### getRootCls

    public Cls getRootCls()

### getRootMetaCls

    public Cls getRootMetaCls()

### getRootClsMetaCls

    public Cls getRootClsMetaCls()

### getStandardClsMetaCls

    public Cls getStandardClsMetaCls()

### getStandardSlotMetaCls

    public Cls getStandardSlotMetaCls()

### getRootSlotMetaCls

    public Cls getRootSlotMetaCls()

### getRootFacetMetaCls

    public Cls getRootFacetMetaCls()

### getStandardFacetMetaCls

    public Cls getStandardFacetMetaCls()

### getSystemCls

    public Cls getSystemCls()

### getConstraintCls

    public Cls getConstraintCls()

### getRelationCls

    public Cls getRelationCls()

### getDirectedBinaryRelationCls

    public Cls getDirectedBinaryRelationCls()

### getPalConstraintCls

    public Cls getPalConstraintCls()

### getAnnotationCls

    public Cls getAnnotationCls()

### getInstanceAnnotationCls

    public Cls getInstanceAnnotationCls()

### getDocumentationSlot

    public Slot getDocumentationSlot()

### getDirectDomainSlot

    public Slot getDirectDomainSlot()

### getNameSlot

    public Slot getNameSlot()

### getRoleSlot

    public Slot getRoleSlot()

### getDirectSuperclassesSlot

    public Slot getDirectSuperclassesSlot()

### getDirectSubclassesSlot

    public Slot getDirectSubclassesSlot()

### getDirectTypesSlot

    public Slot getDirectTypesSlot()

### getDirectInstancesSlot

    public Slot getDirectInstancesSlot()

### getDirectTemplateSlotsSlot

    public Slot getDirectTemplateSlotsSlot()

### getAssociatedFacetSlot

    public Slot getAssociatedFacetSlot()

### getSlotConstraintsSlot

    public Slot getSlotConstraintsSlot()

### getDefaultValuesSlot

    public Slot getDefaultValuesSlot()

### getValueTypeSlot

    public Slot getValueTypeSlot()

### getInverseSlotSlot

    public Slot getInverseSlotSlot()

### getMaximumCardinalitySlot

    public Slot getMaximumCardinalitySlot()

### getMinimumCardinalitySlot

    public Slot getMinimumCardinalitySlot()

### getMinimumValueSlot

    public Slot getMinimumValueSlot()

### getMaximumValueSlot

    public Slot getMaximumValueSlot()

### getPalStatementSlot

    public Slot getPalStatementSlot()

### getPalNameSlot

    public Slot getPalNameSlot()

### getPalDescriptionSlot

    public Slot getPalDescriptionSlot()

### getPalRangeSlot

    public Slot getPalRangeSlot()

### getValuesSlot

    public Slot getValuesSlot()

### getDirectSubslotsSlot

    public Slot getDirectSubslotsSlot()

### getDirectSuperslotsSlot

    public Slot getDirectSuperslotsSlot()

### getAnnotatedInstanceSlot

    public Slot getAnnotatedInstanceSlot()

### getAnnotationTextSlot

    public Slot getAnnotationTextSlot()

### getCreatorSlot

    public Slot getCreatorSlot()

### getCreationTimestampSlot

    public Slot getCreationTimestampSlot()

### getAssociatedSlotSlot

    public Slot getAssociatedSlotSlot()

### getModifierSlot

    public Slot getModifierSlot()

### getModificationTimestampSlot

    public Slot getModificationTimestampSlot()

### getConstraintsSlot

    public Slot getConstraintsSlot()

### getFromSlot

    public Slot getFromSlot()

### getToSlot

    public Slot getToSlot()

### getDocumentationFacet

    public Facet getDocumentationFacet()

### getDefaultValuesFacet

    public Facet getDefaultValuesFacet()

### getConstraintsFacet

    public Facet getConstraintsFacet()

### getValueTypeFacet

    public Facet getValueTypeFacet()

### getInverseFacet

    public Facet getInverseFacet()

### getMaximumCardinalityFacet

    public Facet getMaximumCardinalityFacet()

### getMinimumCardinalityFacet

    public Facet getMinimumCardinalityFacet()

### getMinimumValueFacet

    public Facet getMinimumValueFacet()

### getMaximumValueFacet

    public Facet getMaximumValueFacet()

### getValuesFacet

    public Facet getValuesFacet()

### isSystem

    public boolean isSystem(Frame frame)

### addSystemFrames

    public void addSystemFrames(FrameStore fs)

### assertTypeAndName

    public void assertTypeAndName(FrameStore fs,
                                  Frame frame,
                                  Collection<Cls> types)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.